org.apache.fop.render.java2d

## Class Java2DUtil

- java.lang.Object
- - org.apache.fop.render.java2d.Java2DUtil

-     public final class Java2DUtil
      extends java.lang.Object

  Rendering-related utilities for Java2D.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontInfo` | `buildDefaultJava2DBasedFontInfo(FontInfo fontInfo, FOUserAgent userAgent)` Builds a default `FontInfo` object for use with output formats using the Java2D font setup.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### buildDefaultJava2DBasedFontInfo

          public static FontInfo buildDefaultJava2DBasedFontInfo(FontInfo fontInfo,
                                                                 FOUserAgent userAgent)

      Builds a default `FontInfo` object for use with output formats using the Java2D font setup.
      Parameters:
        `fontInfo` - the font info object to populate
        `userAgent` - the user agent
      Returns:
        the populated font information object

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.